# $Revision: 1.21 $, $Date: 2011/05/02 18:13:03 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Cairo
Summary:	Perl Cairo bindings
Summary(pl.UTF-8):	Wiązania Cairo dla Perla
Name:		perl-Cairo
Version:	1.062
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	655eff93a509c9c1a0a98a82db71c11a
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	cairo-devel >= 1.6.0
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Number-Delta >= 1.0
%endif
Requires:	cairo >= 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides perl access to Cairo library.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do biblioteki Cairo.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Cairo/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%{perl_vendorarch}/Cairo.pm
%dir %{perl_vendorarch}/Cairo
%{perl_vendorarch}/Cairo/Install
%dir %{perl_vendorarch}/auto/Cairo
%attr(755,root,root) %{perl_vendorarch}/auto/Cairo/Cairo.so
%{perl_vendorarch}/auto/Cairo/Cairo.bs
%{_mandir}/man3/Cairo.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Cairo.spec,v $
Revision 1.21  2011/05/02 18:13:03  qboosh
- updated to 1.062; tests have been fixed

Revision 1.20  2011/03/09 15:12:14  qboosh
- temporarily disable CairoSurface tests (they fail with current cairo)

Revision 1.19  2010/11/12 23:38:14  pawelz
- release 5

Revision 1.18  2010/06/06 05:33:52  arekm
- release 2

Revision 1.17  2009/08/21 07:27:34  amateja
- updated to 1.061

Revision 1.16  2009/03/14 11:17:11  hawk
- release 2

Revision 1.15  2008/07/20 08:38:15  qboosh
- updated to 1.060 (for cairo 1.6.x)

Revision 1.14  2008/03/01 22:09:54  wolvverine
- up to 1.045

Revision 1.13  2008-02-08 13:35:55  arekm
- rel 3

Revision 1.12  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.11  2007-12-01 16:48:23  qboosh
- release 2

Revision 1.10  2007-12-01 15:23:18  qboosh
- updated to 1.044

Revision 1.9  2007-06-02 08:10:35  qboosh
- updated to 1.041

Revision 1.8  2007/05/15 17:04:31  qboosh
- updated to 1.040

Revision 1.7  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.5  2006/12/01 21:56:29  qboosh
- updated to 1.021

Revision 1.4  2006/10/09 22:22:44  qboosh
- updated to 1.01

Revision 1.3  2006/09/10 10:05:23  qboosh
- updated to 1.00, use pure_install

Revision 1.2  2006/08/27 10:43:33  glen
- check-files cleanup

Revision 1.1  2006/08/26 17:28:39  grzegol
- new
